
import 'package:foo_apple_pay_sdk/pk_payment_pass.dart';

enum FOInAppAddCardError {
    FOInAppAddCardErrorNone,
    FOInAppAddCardErrorInvalidParameters,
    FOInAppAddCardErrorCantAddCard,
    FOInAppAddCardErrorAppleWalletErr,
    FOInAppAddCardErrorInternalServerErr
}

class ApplePayEvent {
  
   PKPaymentPass? pass;
   FOInAppAddCardError error;
   String? errorMessage;


  ApplePayEvent(this.pass, this.error, this.errorMessage);

  PKPaymentPass? getPKPaymentPass() {
    return pass;
  }

  void setPKPaymentPass(PKPaymentPass pass) {
    this.pass = pass;
  }

  FOInAppAddCardError getError() {
    return error;
  }

  void setError(FOInAppAddCardError error) {
    this.error = error;
  }

  String? getErrorMessage() {
    return errorMessage;
  }

  void setErrorMessage(String errorMessage) {
    this.errorMessage = errorMessage;
  }

  factory ApplePayEvent.fromJson(dynamic json) {
    return ApplePayEvent(PKPaymentPass.fromJson(json['PKPaymentPass']), FOInAppAddCardError.values[json['error'] as int], json['errorMessage'] as String?);
  }
}